﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{7F6022BB-AA61-4E33-BD79-989C1D0BA3B1}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>MaybeTestProgram001</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <IncludePath>$(SolutionDir)\..\3rd-party\PDFLIB;$(SolutionDir)\..\3rd-party\RNGLIB;$(SolutionDir)\..\Quest\Quest\include;$(SolutionDir)\MaybeTestProgram001\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)\..\3rd-party\PDFLIB\VS_Project\Debug;$(SolutionDir)\..\3rd-party\RNGLIB\VS_Project\Debug;$(SolutionDir)\..\Quest\Debug;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\3rd-party\PDFLIB;C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\3rd-party\RNGLIB;C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\Quest\Quest\include;C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\MaybeTestProgram001\MaybeTestProgram001\include;$(IncludePath)</IncludePath>
    <LibraryPath>C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\3rd-party\PDFLIB\VS_Project\Release;C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\3rd-party\RNGLIB\VS_Project\Release;C:\Users\Ruvim\Documents\Visual Studio 2013\Projects\Quest\Release;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>RNGLIB_Library.lib;PDFLIB_Library.lib;Quest.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>ddraw.lib;Quest.lib;RNGLIB_Library.lib;PDFLIB_Library.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="include\Box.hpp" />
    <ClInclude Include="include\CountRandomizer.hpp" />
    <ClInclude Include="include\DataMap.hpp" />
    <ClInclude Include="include\ListFileStream.hpp" />
    <ClInclude Include="include\ListHead.hpp" />
    <ClInclude Include="include\ListIfStream.hpp" />
    <ClInclude Include="include\ListItem.hpp" />
    <ClInclude Include="include\ListOfStream.hpp" />
    <ClInclude Include="include\ListTextFile.hpp" />
    <ClInclude Include="include\MemExpAnswerData.hpp" />
    <ClInclude Include="include\MemExpAnswerDataList.hpp" />
    <ClInclude Include="include\MemExpCommand.hpp" />
    <ClInclude Include="include\MemExpCommandGenerator.hpp" />
    <ClInclude Include="include\MemExpCommandGeneratorStage2.hpp" />
    <ClInclude Include="include\MemExpTimerThread.hpp" />
    <ClInclude Include="include\MemExpWindow.hpp" />
    <ClInclude Include="include\MemExpWordData.hpp" />
    <ClInclude Include="include\PreExpWindow.hpp" />
    <ClInclude Include="include\SettingsReader.hpp" />
    <ClInclude Include="include\SlideSheet.hpp" />
    <ClInclude Include="include\Thread.hpp" />
    <ClInclude Include="include\Window.hpp" />
    <ClInclude Include="NTree.hpp" />
    <ClInclude Include="QuestImplementation.hpp" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Box.cpp" />
    <ClCompile Include="CountRandomizer.cpp" />
    <ClCompile Include="DataMap.cpp" />
    <ClCompile Include="ListFileStream.cpp" />
    <ClCompile Include="ListHead.cpp" />
    <ClCompile Include="ListIfStream.cpp" />
    <ClCompile Include="ListItem.cpp" />
    <ClCompile Include="ListOfStream.cpp" />
    <ClCompile Include="ListTextFile.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="MemExpAnswerData.cpp" />
    <ClCompile Include="MemExpAnswerDataList.cpp" />
    <ClCompile Include="MemExpCommand.cpp" />
    <ClCompile Include="MemExpCommandGenerator.cpp" />
    <ClCompile Include="MemExpCommandGeneratorStage2.cpp" />
    <ClCompile Include="MemExpTimerThread.cpp" />
    <ClCompile Include="MemExpWindow.cpp" />
    <ClCompile Include="MemExpWordData.cpp" />
    <ClCompile Include="NTree.cpp" />
    <ClCompile Include="PreExpWindow.cpp" />
    <ClCompile Include="QuestImplementation.cpp" />
    <ClCompile Include="SettingsReader.cpp" />
    <ClCompile Include="SlideSheet.cpp" />
    <ClCompile Include="Thread.cpp" />
    <ClCompile Include="Window.cpp" />
    <ClCompile Include="Исходный код.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>